.contact-container {
    max-width: 1100px;
    margin: 60px auto;
    padding: 0 20px;

}

.contact-header {
    text-align: center;
    margin-bottom: 50px;
}

.contact-header h1 {
    font-size: 2.5rem;
    margin-bottom: 10px;
}

.contact-header p {
    color: var(--text);

    max-width: 600px;
    margin: auto;
    line-height: 1.6;
}

/* Layout */
.contact-content {
    display: grid;
    grid-template-columns: 1fr 1fr;
    gap: 40px;
    align-items: start;
}

/* Info box */
.contact-info h2 {
    color: var(--text);

    font-size: 1.6rem;
    margin-bottom: 10px;
}

.contact-info p {
    color: var(--text);
    margin-bottom: 20px;
}

.contact-info ul {
    list-style: none;
    padding: 0;
}

.contact-info li {
    margin-bottom: 10px;
    color: var(--text);

}

/* Form */
.contact-form {
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 1rem 0;
    background: var(--menu);
    border: 1px solid var(--border);
    padding: 2rem 1rem;
    border-radius: 12px;
    box-shadow: 0 10px 25px rgba(0, 0, 0, 0.08);
}

.contact-group {
    width: 100%;
    height: 4rem;
}



.contact-form input {
    border: 1px solid var(--input-border);
    width: 100%;
    height: 70%;

    padding: 1rem;
    color: var(--text);

    background-color: var(--input-bg);
    font-size: 0.95rem;
    outline: none;
    border-radius: 5px;

}


.contact-form textarea {
    border: 1px solid var(--input-border);

    width: 100%;

    padding: 1rem;
    color: var(--text);

    background-color: var(--input-bg);

    font-size: 0.95rem;
    outline: none;
    border-radius: 5px;


}
textarea:focus, input:focus{
    border: 1px solid var(--input-focus);
}

/* Button */
.contact-form button {

    padding: 8px;
    width: 100%;
 
    border-radius: 8px;
  



    color: var(--primary-text);
    background-color: var(--primary);
    border-radius: 5px;

    border: 1px solid var(--primary);
}

.contact-form button:hover {
    color: var(--primary-hover);

    background-color: transparent;
    color: var(--text-light);

    cursor: pointer;
}







@media screen and (max-width: 700px) {


    .contact-content {
        grid-template-columns: 1fr;
    }

    .contact-header h1 {
        font-size: 2rem;
    }


}